7

I try to install my printer. From previous experience and research, for ubuntu 16.10, I installed appropriate drivers for Linux 64 bit that is given by Canon for MF 3010. Everything fine. But, after try to use the printer, it does not work. I upgraded cups libraries, again it does not work.

I dont know what to do? any idea so as to connect my printer.

Thank you

5

You need to download the UFR II/UFRII LT Printer Driver for Linux V3.31 provided by Canon.

You can download it at https://www.usa.canon.com/internet/portal/us/home/support/details/printers/black-and-white-laser/mf3010/imageclass-mf3010?tab=drivers_downloads (thank you Xaqron)

Connect your printer with your computer, download the linux-UFRII-drv-v331-uken.tar.gz, extract it, go in the folder with the terminal and type

$ sudo ./install.sh

and confirm with y

enter image description here

After the installation go to System Settings->Printers->Add->Canon MF3010

You can now use your printer!

Not the answer you're looking for? Browse other questions tagged or ask your own question.